package com.tenlionsoft.aimz_k.adapter

import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import com.tenlionsoft.aimz_k.databinding.ItemContactApplyIconBinding
import com.tenlionsoft.aimz_k.model.ApplyContactBean
import com.tenlionsoft.baselib.base.BaseBindingAdapter

class ApplyContactUserIconAdapter(datas: List<ApplyContactBean>) :
    BaseBindingAdapter<ApplyContactBean, ItemContactApplyIconBinding>(datas) {
    override fun getItemBinding(parent: ViewGroup, viewType: Int): ItemContactApplyIconBinding {
        return ItemContactApplyIconBinding.inflate(
            LayoutInflater.from(parent.context),
            parent,
            false
        )
    }

    override fun bindItem(holder: BaseViewHolder<ItemContactApplyIconBinding>, position: Int) {
        holder.binding.bean = list[position]
        Log.e("ApplyContactUserIconAdapter", "bindItem:${position}");
        if (position == list.size - 1) {
            setMargins(holder.binding.root, 0, 0, 0, 0)
        }

    }

    private fun setMargins(v: View, l: Int, t: Int, r: Int, b: Int) {
        if (v.layoutParams is ViewGroup.MarginLayoutParams) {
            val p = v.layoutParams as ViewGroup.MarginLayoutParams
            p.setMargins(l, t, r, b)
            v.requestLayout()
        }
    }
}