package com.tenlionsoft.aimz_k.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.lxj.xpopup.XPopup
import com.tenlionsoft.aimz_k.databinding.ItemCategoryBinding
import com.tenlionsoft.aimz_k.model.MsgCategoryBean
import com.tenlionsoft.aimz_k.viewmodel.MsgViewModel
import com.tenlionsoft.aimz_k.viewmodel.SearchChatMsgViewModel
import com.tenlionsoft.baselib.base.BaseBindingAdapter
import com.tenlionsoft.baselib.base.BaseViewModel


class CategoryAdapter(
    datas: List<MsgCategoryBean>, private val viewModel: BaseViewModel
) : BaseBindingAdapter<MsgCategoryBean, ItemCategoryBinding>(datas) {

    override fun getItemBinding(parent: ViewGroup, viewType: Int): ItemCategoryBinding {
        return ItemCategoryBinding.inflate(LayoutInflater.from(parent.context), parent, false)
    }

    override fun bindItem(holder: BaseViewHolder<ItemCategoryBinding>, position: Int) {
        holder.binding.pos = position
        holder.binding.item = list[position]
        holder.binding.size = if (list.isNotEmpty()) list.size - 1 else 0
        holder.binding.root.setOnClickListener {
            if (viewModel is MsgViewModel) {
                viewModel.onItemClickListener?.onItemClick(list[position])
            } else if (viewModel is SearchChatMsgViewModel) {
                viewModel.onItemClickListener?.onItemClick(list[position])
            }
        }
        if (viewModel is MsgViewModel) {
            val xPopup = XPopup.Builder(holder.binding.root.context).watchView(holder.binding.root)
            holder.binding.root.setOnLongClickListener {
                xPopup.asAttachList(
                    arrayOf("删除该聊天"),
                    intArrayOf(com.tenlionsoft.baselib.R.drawable.ic_del),
                    { p, _ ->
                        viewModel.onItemLongClickListener?.onItemLongClick(
                            p, list[position]
                        )
                    },
                    0,
                    0
                ).show()
                true
            }
        }

    }

}