package com.tenlionsoft.aimz_k.adapter

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.databinding.ViewDataBinding
import com.lxj.xpopup.XPopup
import com.tenlionsoft.aimz_k.databinding.ItemContactSearchBinding
import com.tenlionsoft.aimz_k.databinding.ItemSelfContactBinding
import com.tenlionsoft.aimz_k.model.SearchContactBean
import com.tenlionsoft.aimz_k.model.SelfContactBean
import com.tenlionsoft.aimz_k.viewmodel.ContactViewModel
import com.tenlionsoft.aimz_k.viewmodel.SearchContactViewModel
import com.tenlionsoft.baselib.base.BaseBindingAdapter
import com.tenlionsoft.baselib.base.BaseViewModel

class ContactAdapter(datas: List<Any>, val viewModel: BaseViewModel) :
    BaseBindingAdapter<Any, ViewDataBinding>(datas) {


    override fun getItemBinding(parent: ViewGroup, viewType: Int): ViewDataBinding {
        if (viewType == 1) {
            //搜索联系人
            return ItemContactSearchBinding.inflate(
                LayoutInflater.from(parent.context),
                parent,
                false
            )
        } else {
            //我的联系人
            return ItemSelfContactBinding.inflate(
                LayoutInflater.from(parent.context),
                parent,
                false
            )
        }

    }

    override fun getItemViewType(position: Int): Int {
        return if (list[position] is SelfContactBean) 2 else 1
    }

    override fun bindItem(holder: BaseViewHolder<ViewDataBinding>, position: Int) {
        if (holder.binding is ItemSelfContactBinding) {
            //我的联系人
            (holder.binding as ItemSelfContactBinding).pos = position
            (holder.binding as ItemSelfContactBinding).size = list.size - 1
            (holder.binding as ItemSelfContactBinding).bean = list[position] as SelfContactBean
            if (viewModel is ContactViewModel) {
                (holder.binding as ItemSelfContactBinding).tvAddContact.visibility = View.GONE
                holder.binding.root.setOnClickListener {
                    viewModel.itemClickListener?.onItemClick(list[position] as SelfContactBean)
                }
                val xPopup =
                    XPopup.Builder(holder.binding.root.context).watchView(holder.binding.root)
                holder.binding.root.setOnLongClickListener {
                    xPopup.asAttachList(
                        arrayOf("删除该联系人"),
                        intArrayOf(com.tenlionsoft.baselib.R.drawable.ic_del),
                        { p, _ ->
                            viewModel.itemLongClickListener?.onItemLongClick(
                                2,
                                list[position] as SelfContactBean
                            )
                        },
                        0,
                        0
                    ).show()
                    true
                }
            }
        } else {
            //搜索联系人
            (holder.binding as ItemContactSearchBinding).pos = position
            (holder.binding as ItemContactSearchBinding).size = list.size - 1
            (holder.binding as ItemContactSearchBinding).bean = list[position] as SearchContactBean
            if (viewModel is SearchContactViewModel) {
                (holder.binding as ItemContactSearchBinding).tvAddContact.visibility = View.VISIBLE
                (holder.binding as ItemContactSearchBinding).tvAddContact.setOnClickListener {
                    viewModel.doAddContact(list[position] as SearchContactBean)
                }
            }
        }
    }
}