package com.tenlionsoft.aimz_k.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.lxj.xpopup.XPopup
import com.tenlionsoft.aimz_k.databinding.ItemReplyBinding
import com.tenlionsoft.aimz_k.model.ReplyBean
import com.tenlionsoft.aimz_k.viewmodel.ManageReplyViewModel
import com.tenlionsoft.baselib.base.BaseBindingAdapter

class ReplyAdapter(datas: List<ReplyBean>, val viewModel: ManageReplyViewModel) :
    BaseBindingAdapter<ReplyBean, ItemReplyBinding>(datas) {
    override fun getItemBinding(parent: ViewGroup, viewType: Int): ItemReplyBinding {
        return ItemReplyBinding.inflate(
            LayoutInflater.from(parent.context),
            parent,
            false
        )
    }

    override fun bindItem(holder: BaseViewHolder<ItemReplyBinding>, position: Int) {
        holder.binding.pos = position
        holder.binding.bean = list[position]
        val xPopup = XPopup.Builder(holder.binding.root.context).watchView(holder.binding.root)
        holder.binding.root.setOnLongClickListener {
            xPopup.asAttachList(
                arrayOf("删除", "编辑"),
                intArrayOf(
                    com.tenlionsoft.baselib.R.drawable.ic_del,
                    com.tenlionsoft.baselib.R.drawable.ic_edit
                ),
                { p, _ ->
                    viewModel.onItemLongClickListener.onItemLongClick(
                        p, list[position]
                    )
                },
                0,
                0
            ).show()
            true
        }
    }
}