package com.tenlionsoft.aimz_k.dao

import androidx.room.Database
import androidx.room.RoomDatabase
import com.tenlionsoft.aimz_k.model.ContactBean
import com.tenlionsoft.aimz_k.model.MsgBean
import com.tenlionsoft.aimz_k.model.MsgCategoryBean
import com.tenlionsoft.aimz_k.model.ReplyBean


/**
 * 数据库的版本
 */
@Database(
    entities = [MsgBean::class, MsgCategoryBean::class, ReplyBean::class, ContactBean::class],
    version = 1,
    exportSchema = false
)
abstract class AppDatabase : RoomDatabase() {
    abstract fun msgDao(): MsgDao
    abstract fun categoryDao(): MsgCategoryDao
    abstract fun replayDao(): ReplyDao
    abstract fun contactDao(): ContactDao

}