package com.tenlionsoft.aimz_k.page.activity

import android.content.Intent
import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivitySearchChatMsgBinding
import com.tenlionsoft.aimz_k.model.MsgCategoryBean
import com.tenlionsoft.aimz_k.viewmodel.SearchChatMsgViewModel
import com.tenlionsoft.baselib.base.BaseActivity
import com.tenlionsoft.baselib.model.ViewState
import com.tenlionsoft.baselib.widget.AdapterItemClickListener

class SearchChatMsgActivity : BaseActivity(), AdapterItemClickListener<MsgCategoryBean> {
    private lateinit var mBind: ActivitySearchChatMsgBinding
    private lateinit var viewModel: SearchChatMsgViewModel
    override fun bindView() {
        mBind = DataBindingUtil.setContentView(
            this@SearchChatMsgActivity, R.layout.activity_search_chat_msg
        )
        viewModel = ViewModelProvider(this, object : ViewModelProvider.Factory {
            override fun <T : ViewModel> create(modelClass: Class<T>): T {
                return SearchChatMsgViewModel() as T
            }
        })[SearchChatMsgViewModel::class.java]
        mBind.model = viewModel
        viewModel.onItemClickListener = this
        mBind.lifecycleOwner = this
        mBind.tvCancel.setOnClickListener { finish() }
        mBind.clvState.setState(ViewState.STATE_SEARCH)
        viewModel.pageState.observe(this) {
            mBind.clvState.setState(it)
        }
        showSoftKeyBoard(mBind.etSearchContact)
        mBind.etSearchContact.requestFocus()
    }

    override fun onItemClick(data: MsgCategoryBean) {
        val intent = Intent(this@SearchChatMsgActivity, ChatActivity::class.java)
        intent.putExtra("fromId", data.receiverId)
        intent.putExtra("name", data.userNickName)
        startActivity(intent)
    }
}