package com.tenlionsoft.baselib.model

import androidx.annotation.IntDef
import com.tenlionsoft.baselib.model.TimeConstants.DAY
import com.tenlionsoft.baselib.model.TimeConstants.HOUR
import com.tenlionsoft.baselib.model.TimeConstants.MIN
import com.tenlionsoft.baselib.model.TimeConstants.MSEC
import com.tenlionsoft.baselib.model.TimeConstants.SEC

object TimeConstants {


    const val MSEC: Int = 1
    const val SEC: Int = 1000
    const val MIN: Int = 60000
    const val HOUR: Int = 3600000
    const val DAY: Int = 86400000
}
@Target(AnnotationTarget.TYPE, AnnotationTarget.VALUE_PARAMETER)
@IntDef(MSEC, SEC, MIN, HOUR, DAY)
@Retention(AnnotationRetention.SOURCE)
annotation class Unit